aboutsummaryrefslogtreecommitdiffstats
path: root/tests/sat/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/sat/run-test.sh')
-rwxr-xr-xtests/sat/run-test.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/tests/sat/run-test.sh b/tests/sat/run-test.sh
index 67e1beb23..74589dfeb 100755
--- a/tests/sat/run-test.sh
+++ b/tests/sat/run-test.sh
@@ -1,6 +1,4 @@
-#!/bin/bash
-set -e
-for x in *.ys; do
- echo "Running $x.."
- ../../yosys -ql ${x%.ys}.log $x
-done
+#!/usr/bin/env bash
+set -eu
+source ../gen-tests-makefile.sh
+run_tests --yosys-scripts